Subject: Re: bug#46042: 27.1; xref-revert-buffer will delete buffer contents

From: Dmitry Gutov <[email-masked]>
Date: Sat, 23 Jan 2021 02:59:39 +0200

Version: 28.1

Hi!

On 22.01.2021 21:12, Vangelis Evangelou wrote:
> 
> Hello. In a scratch buffer containing some text, run the function
> xref-revert-buffer. The buffer content will be deleted and it is not
> possible to undo. The function should check that it is applied in a
> suitable buffer before modifying the buffer.

Thanks for the report. Indeed, it sounds unfortunate, if you just called 
the command accidentally.

I've pushed a fix (which will make it complain with (void-function nil) 
instead of erasing the buffer) to master. Sometime later, we'll tag a 
new release of the xref package, and you'll be able to update to the new 
version through 'M-x list-packages'.